<?php
/**
 * The template for adding Front Page Widget Settings in Customizer
 *
 * @package Theme Palace
 * @subpackage Flat Commerce Pro
 * @since Flat Commerce Pro 1.0
 */

//Homepage / Static Frontpage Options
$wp_customize->add_section( 'flat_commerce_front_page_widget', array(
	// 'description'	=> __( 'Go to ( Settings->Reading->Blog pages show at most) to change no of blog posts visible', 'flat-commerce' ),
	// 'priority' 		=> 210,
	'title'   	 	=> __( 'Front Page Widget Area', 'flat-commerce' ),
    'priority'      => 610,
    'sidebar_id'		=> 'front-page-widget'
) );

// Latest Blog options
$wp_customize->add_setting( 'flat_commerce_theme_options[front_page_widget]', array(
    'capability'        => 'edit_theme_options',
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new Flat_Commerce_Note_Control( $wp_customize, 'flat_commerce_theme_options[front_page_widget]', array(
    'label'                   => esc_html__( 'Front Page Widgets', 'flat-commerce' ),
    'description'             => sprintf( esc_html__( 'This section appears only on Front Page and can be managed from %1$shere%2$s', 'flat-commerce' ),
                '<a href="javascript:wp.customize.section( \'sidebar-widgets-front-page-widget\' ).focus();">',
                 '</a>'
            ),
    'priority'          => '1.1',
    'section'           => 'flat_commerce_front_page_widget',
    'settings'          => 'flat_commerce_theme_options[front_page_widget]',
) ) );