<?php
	//Promotion Headline Options
    $wp_customize->add_section( 'flat_commerce_promotion_headline_options', array(
		'description'	=> esc_html__( 'To disable the fields, simply leave them empty.', 'flat-commerce' ),
		'priority' 		=> 300,
		'title'   	 	=> esc_html__( 'Promotion Headline', 'flat-commerce' ),
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[promotion_headline_option]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['promotion_headline_option'],
		'sanitize_callback' => 'sanitize_key',
	) );

	$flat_commerce_featured_slider_content_options = flat_commerce_featured_slider_content_options();
	$choices = array();
	foreach ( $flat_commerce_featured_slider_content_options as $flat_commerce_featured_slider_content_option ) {
		$choices[$flat_commerce_featured_slider_content_option['value']] = $flat_commerce_featured_slider_content_option['label'];
	}

	$wp_customize->add_control( 'flat_commerce_theme_options[promotion_headline_option]', array(
		'choices'  	=> $choices,
		'label'    	=> esc_html__( 'Enable Promotion Headline on', 'flat-commerce' ),
		'priority'	=> '0.5',
		'section'  	=> 'flat_commerce_promotion_headline_options',
		'settings' 	=> 'flat_commerce_theme_options[promotion_headline_option]',
		'type'	  	=> 'select',
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[promotion_headline]', array(
		'capability'		=> 'edit_theme_options',
		'default' 			=> $defaults['promotion_headline'],
		'transport'			=> 'postMessage',
		'sanitize_callback'	=> 'wp_kses_post'
	) );

	// Abort if selective refresh is not available.
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'flat_commerce_theme_options[promotion_headline]', array(
			'selector'            => '#main-heading .col span',
			'render_callback'     => 'flat_commerce_customize_partial_promotion_headline',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
		) );
	}

	$wp_customize->add_control( 'flat_commerce_theme_options[promotion_headline]', array(
		'description'	=> esc_html__( 'Appropriate Words: 10', 'flat-commerce' ),
		'label'    	=> esc_html__( 'Promotion Headline Text', 'flat-commerce' ),
		'priority'	=> '1',
		'section' 	=> 'flat_commerce_promotion_headline_options',
		'settings'	=> 'flat_commerce_theme_options[promotion_headline]',
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[promotion_subheadline]', array(
		'capability'		=> 'edit_theme_options',
		'default' 			=> $defaults['promotion_subheadline'],
		'transport'			=> 'postMessage',
		'sanitize_callback'	=> 'wp_kses_post'
	) );

	// Abort if selective refresh is not available.
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'flat_commerce_theme_options[promotion_subheadline]', array(
			'selector'            => '#main-heading .col .entry-header h1.entry-title',
			'render_callback'     => 'flat_commerce_customize_partial_promotion_subheadline',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
		) );
	}

	$wp_customize->add_control( 'flat_commerce_theme_options[promotion_subheadline]', array(
		'description'	=> esc_html__( 'Appropriate Words: 3', 'flat-commerce' ),
		'label'    	=> esc_html__( 'Promotion Subheadline Text', 'flat-commerce' ),
		'priority'	=> '2',
		'section' 	=> 'flat_commerce_promotion_headline_options',
		'settings'	=> 'flat_commerce_theme_options[promotion_subheadline]',
	) );
