<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package Theme Palace
 * @subpackage Flat Commerce Pro
 * @since Flat Commerce Pro 1.0
 */
?>

<?php
/**
 * flat_commerce_before_secondary hook
 */
do_action( 'flat_commerce_before_secondary' );?>

<?php
	global $post, $wp_query;

	$options = flat_commerce_get_theme_options();

	$themeoption_layout = $options['theme_layout'];

	// Front page displays in Reading Settings
	$page_on_front = get_option('page_on_front') ;
	$page_for_posts = get_option('page_for_posts');

	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();

   	// WooCommerce Shop Page excluding Cart and checkout
	if ( class_exists( 'WooCommerce' ) && is_woocommerce() ) {
		$shop_id = get_option( 'woocommerce_shop_page_id' );
        $layout 		= get_post_meta( $shop_id,'flat-commerce-layout-option', true );
        $sidebaroptions = get_post_meta( $shop_id, 'flat-commerce-sidebar-options', true );
	}
	else {
		// Blog Page or Front Page setting in Reading Settings
		if ( $page_id == $page_for_posts || $page_id == $page_on_front ) {
	        $layout 		= get_post_meta( $page_id,'flat-commerce-layout-option', true );
	        $sidebaroptions = get_post_meta( $page_id, 'flat-commerce-sidebar-options', true );
	    }
		else if ( is_singular() ) {
			if ( is_attachment() ) {
				$parent 		= $post->post_parent;
				$layout 		= get_post_meta( $parent, 'flat-commerce-layout-option', true );
				$sidebaroptions = get_post_meta( $parent, 'flat-commerce-sidebar-options', true );

			} else {
				$layout 		= get_post_meta( $post->ID, 'flat-commerce-layout-option', true );
				$sidebaroptions = get_post_meta( $post->ID, 'flat-commerce-sidebar-options', true );
			}
		}
		else {
			$sidebaroptions = '';
			$layout = 'default';
		}
	}
	//check empty and load default

	if ( class_exists( 'WooCommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() ) ) {

		$woocommerce_layout    = isset( $options['woocommerce_layout'] ) ? $options['woocommerce_layout'] : 'right-sidebar';

		if ( 'no-sidebar' == $layout ) {

			return;

		} elseif ( 'default' == $layout && ( 'no-sidebar' == $woocommerce_layout ) ) {

			return;
		}
	}

	else {

		if ( 'no-sidebar' == $layout  ) {

			return;

		}


		if( 'default' == $layout && ( 'no-sidebar' == $themeoption_layout ) ) {

			return;

		}

		if ( is_home() || is_front_page() ) {
			return;
		}

	}

	do_action( 'flat_commerce_before_primary_sidebar' );
	?>
		<div id="secondary" class="widget-area col col-1-of-4 fc-sidebar" role="complementary">
        <div class="sidebar-inner">
			<?php
			if ( ( is_active_sidebar( 'sidebar-optional-woocommmerce' ) || is_active_sidebar('sidebar-advertisement') ) && class_exists( 'WooCommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() || is_shop()  ) ) {

				if( is_active_sidebar('sidebar-advertisement') ){
					echo '<div class="widgets advertisement-sidebar">';
	        		dynamic_sidebar( 'sidebar-advertisement' );
	        		echo '</div>';
				}

	        	if( is_active_sidebar( 'sidebar-optional-woocommmerce' ) ){
	        		echo '<div class="widgets woocommerce-optional-sidebar">';
	        			dynamic_sidebar( 'sidebar-optional-woocommmerce' );
	        		echo '</div>';
	        	}
	   	}
			elseif ( is_active_sidebar( 'sidebar-optional-one' ) && $sidebaroptions == 'optional-sidebar-one' ) {

	        	dynamic_sidebar( 'sidebar-optional-one' );
	   		}
			elseif ( is_active_sidebar( 'sidebar-optional-two' ) && $sidebaroptions == 'optional-sidebar-two' ) {
	        	dynamic_sidebar( 'sidebar-optional-two' );
	   		}
			elseif ( is_active_sidebar( 'sidebar-optional-three' ) && $sidebaroptions == 'optional-sidebar-three' ) {
	        	dynamic_sidebar( 'sidebar-optional-three' );
	   		}
   		elseif ( is_active_sidebar( 'sidebar-optional-woocommmerce' ) && class_exists( 'WooCommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() )  ) {
   			echo '<header class="header-title shop-by">
	            		<h1 class="entry-title">'. esc_html__( 'SHOP BY',  'flat-commerce' ).'</h1>
	            	</header>';
        	dynamic_sidebar( 'sidebar-optional-woocommmerce' );
   		}
			elseif ( is_active_sidebar( 'sidebar-optional-homepage' ) && ( is_front_page() || ( is_home() && $page_id != $page_for_posts ) ) ) {
	        	dynamic_sidebar( 'sidebar-optional-homepage' );
	   		}
			elseif ( is_active_sidebar( 'sidebar-optional-archive' ) && ( $page_id == $page_for_posts || is_archive() || is_page_template( 'page-blog.php' ) ) ) {
	        	dynamic_sidebar( 'sidebar-optional-archive' );
	    	}
			elseif ( is_page() && is_active_sidebar( 'sidebar-optional-page' ) ) {
				dynamic_sidebar( 'sidebar-optional-page' );
			}
			elseif ( is_single() && is_active_sidebar( 'sidebar-optional-post' ) ) {
				dynamic_sidebar( 'sidebar-optional-post' );
			}
			elseif ( is_active_sidebar( 'primary-sidebar' ) ) {
	        	dynamic_sidebar( 'primary-sidebar' );
	   	}
   		elseif( is_active_sidebar( 'sidebar-advertisement' ) ){
   			dynamic_sidebar( 'sidebar-advertisement' );

   		}
			else {
				//Helper Text
				if ( current_user_can( 'edit_theme_options' ) ) {
					$args = array(
					    'before_widget' => '<section id="widget-default-text" class="widget widget_text"><div class="widget-wrap">',
					    'after_widget' => '</div><!-- .widget-wrap --></section><!-- #widget-default-text -->',
					    'before_title' => '<h4 class="widget-title">',
					    'after_title' => '</h4>'
					    );
					$instance = array(
					    'title' => esc_html__( "Primary Sidebar Widget Area", "flat-commerce" ),
					    'text' => "<p>".esc_html__( 'This is the Primary Sidebar Widget Area if you are using a two or three column site 			layout option.', 'flat-commerce' )."</p>
		                   		<p>".sprintf( __( 'By default it will load Search and Archives widgets as shown below. You can add widget to this area by visiting your <a href="%s">Widgets Panel</a> which will replace default widgets.', 'flat-commerce' ), esc_url( admin_url( 'widgets.php' ) ) )."</p>"
					    );
					the_widget( 'WP_Widget_Text', $instance, $args );
				} ?>
				<section class="widget widget_search" id="default-search">
					<div class="widget-wrap">
						<?php get_search_form(); ?>
					</div><!-- .widget-wrap -->
				</section><!-- #default-search -->
				<section class="widget widget_archive" id="default-archives">
					<div class="widget-wrap">
						<h4 class="widget-title"><?php esc_html_e( 'Archives', 'flat-commerce' ); ?></h4>
						<ul>
							<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
						</ul>
					</div><!-- .widget-wrap -->
				</section><!-- #default-archives -->
				<?php
			} ?>
		</div><!-- .sidebar-inner -->
		</div><!-- #secondary -->
	<?php
	/**
	 * flat_commerce_after_primary_sidebar hook
	 */
	do_action( 'flat_commerce_after_primary_sidebar' ); ?>

<?php
/**
 * flat_commerce_after_secondary hook
 *
 */
do_action( 'flat_commerce_after_secondary' );