<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Flat_Commerce
 */
$options = flat_commerce_get_theme_options();
$layouts = $options ['latest_blog_layout'];
?>
<article class="col col-1-of-<?php echo $layouts;?> col-m-1-of-3" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row">
        <div class="col col-12-of-12">
        	<?php
            $featured_image = $options['content_layout'];
            if ( has_post_thumbnail() && 'full-content' != $featured_image ) { ?>
            <figure class="featured-image">
                <a rel="bookmark" href="<?php the_permalink(); ?>">
                <?php
                    if ( $featured_image == 'excerpt-image-left' || $featured_image == 'full-content-featured-image' ) {
                         the_post_thumbnail( 'flat-commerce-latest-blog' );
                    }
                ?>
                </a>
            </figure>
            <?php } ?>

            <header class="entry-header">
				<?php
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				?>
			</header><!-- .entry-header -->
             <?php
            if ( 'post' === get_post_type() ) : ?>
            <div class="entry-meta">
                <?php flat_commerce_posted_on(); ?>
            </div><!-- .entry-meta -->
            <?php
            endif;?>

            <div class="entry-content">
                <?php
                    the_excerpt();

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'flat-commerce' ),
						'after'  => '</div>',
					) );
				?>
            </div><!-- .entry-content -->
        </div><!-- .col -->
	</div><!-- .row -->
</article><!-- #post-## -->
